Extractor Class Reference

`#include <Extractor.h>`

## Public Member Functions

| Extractor (std::string stgfn, std::string pp)
EmbData * | extract (void)

## Private Attributes

std::string | StegoFileName
std::string | Passphrase

## Constructor & Destructor Documentation

## Extractor()

Extractor::Extractor | ( | std::string | stgfn,
|  | std::string | pp )

inline

## Member Function Documentation

## extract()

EmbData * Extractor::extract | ( | void |  | ) |

## Member Data Documentation

## Passphrase

std::string Extractor::Passphrase

private

## StegoFileName

std::string Extractor::StegoFileName

private

The documentation for this class was generated from the following files:

- Extractor.h
- Extractor.cc